Subject: RE: I-D ACTION:draft-ietf-smime-x400transport-00.txt

From: Russ Housley <[email-masked]>
Date: Fri, 10 Nov 2000 16:20:03 -0500

Graeme:

The CMS contentInfo uses id-data when the content is expected to be 
MIME.  This choice is for historical reasons (S/MIME v2 did it that way).

I think that the authors are trying to avoid a layer of MIME 
encapsulation.  Did I miss something?

Russ

At 08:49 AM 11/10/2000 +0000, Graeme Lunt wrote:
>Hi,
>
>Here are some comments on the following draft:
> >       Title           : Transporting S/MIME Objects in X.400
>
>The comments relate to section 2.2, and in particular to the
>OID for CMS objects than are MIME encoded.
>
>The proposal is to use a CMS-defined OID to indicate an
>S/MIME content type. However, would it not be better to use
>an OID that indicate MIME (rather than S/MIME)?
>
>The actual MIME type (and additional parameters) will be contained
>within the MIME headers, so that it is not essential to carry the
>actual type in the P1 envelope. There is very little an X.400 MTA
>would be able to deduce from the P1 content type alone, without
>examining the MIME headers.
>
>However, with the more generic approach I can carry arbitrary MIME
>types, including multipart/signed. Obviously, a more generic approach
>is not necessarily within the scope of the S/MIME group.
>
>Comments?
>
>Graeme

---

From: "Bonatti, Chris" <[email-masked]>
Date: Mon, 13 Nov 2000 11:12:51 -0500

Russ,

    That was certainly my thinking as we assembled this.  Plus, there is the
added issue that I don't think there is an OID defined for MIME in the
Internet mail standards (old or new).  It seems that 'id-data' is all there
is.

Chris

____________________